import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { COMPONENTS } from './component';
import { CONTAINER_COMPONENTS } from './container';
import { SERVICES } from './service';

import { NotificationStoreModule } from './notification-store.module';
import { PrimeNGModules } from '../commons/prime-ng/prime-ng.module';

@NgModule({
  imports: [
    CommonModule,
    NotificationStoreModule,
    PrimeNGModules
  ],
  declarations: [
    COMPONENTS,
    CONTAINER_COMPONENTS
  ],
  exports: [
    COMPONENTS,
    CONTAINER_COMPONENTS
  ],
  providers: [
    SERVICES,
  ],
})
export class NotificationModule { }
